/*
 *	stat.h
 *
 *	Definition of structure returned by stat, fstat system calls.
 *
 *      Copyright (C) MicroWay, Inc. 1988, 1989
 */

struct stat {
        ushort  st_mode;        /* File attribute. */
        ino_t   st_ino;         /* Checksum = f(path, file-name). */
        dev_t   st_dev;         /* Id of device containing directory entry. */
        dev_t   st_rdev;        /* Not used. */
        short   st_nlink;       /* Not used. */
        ushort  st_uid;         /* Not used. */
        ushort  st_gid;         /* Not used. */
        off_t   st_size;        /* File size in bytes. */
        time_t  st_atime;       /* Not used. */
        time_t  st_mtime;       /* Time of last data write. */
        time_t  st_ctime;       /* Date of last data write. */
				/* Time/date in standard DOS format - */
				/* see description of function 4eh of int 21h. */

};

#define S_IREAD		00400   /* Read permission. */
#define S_IWRITE        00200   /* Write permission. */
#define S_IFMT		0xf000	/* File type field mask. */
#define S_IFREG		0x8000	/* Regular type file. */
